<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
ReplicationConfig..::.LeaseTimeout Property
ReplicationConfig Class See Also Send Feedback

The amount of time a client grants its master lease to a master. When using master leases all sites in a replication group must use the same lease timeout value. There is no default value. If leases are desired, this method must be called prior to calling RepStartClient()()() or RepStartMaster()()().

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#

    public uint LeaseTimeout { get; set; }

Visual Basic (Declaration)

    Public Property LeaseTimeout As UInteger

Visual C++

    public:
    property unsigned int LeaseTimeout {
    	unsigned int get ();
    	void set (unsigned int value);
    }

# See Also

ReplicationConfig Class
BerkeleyDB Namespace